Read DeviceAssociation

Read a FHIR R6 Device Association resource by logical ID.

Endpoint

GET /api/fhir/r6-ballot4/DeviceAssociation/{rid}

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4

Example request: GET /api/fhir/r6-ballot4/DeviceAssociation/00000000-0000-4000-8000-000000000009

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/DeviceAssociation/00000000-0000-4000-8000-000000000009

The examples use illustrative identifiers and values.

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]"}

Parameters

ParameterInRequiredTypeDescription
rid path true uuid Logical id of the DeviceAssociation resource. Use the logical id of the resource.

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/DeviceAssociation.r
Client grant/token request ddfssystem/DeviceAssociation.r
Issued token's scope claim system/DeviceAssociation.r

Example Response

{
  "resourceType": "DeviceAssociation",
  "device": {
    "reference": "Device/00000000-0000-4000-8000-000000000004"
  },
  "id": "00000000-0000-4000-8000-000000000009",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2025-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "example-resource",
        "display": "Example resource"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/DeviceAssociation",
      "value": "example-resource"
    }
  ],
  "status": "active",
  "subject": {
    "reference": "Patient/00000000-0000-4000-8000-000000000001"
  },
  "period": {
    "start": "2020-01-01T00:00:00Z"
  }
}

Behavior

Reads a DeviceAssociation resource by logical id.

cURL Example

curl.exe `
  -sS `
  -X GET `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/DeviceAssociation/00000000-0000-4000-8000-000000000009 `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]'

Status Codes

CodeStatus
200 DeviceAssociation representation.

FHIR Definition

Canonical: https://hl7.org/fhir/6.0.0-ballot4/deviceassociation.html

Related Operations